%
% HBaa, 24.06.2008, neu: 10.12.08, vgl. M:\...\DS328\Paramter-Anpassung
%
% Parameter-Anpassung mit MatLab
%

clear all
clf

% init
param = [ 1.0 1.0 1.0 ]

anz_param = length(param);
sprintf('number of parameter: %3i',anz_param)

data = dlmread('1ax.dat');               % eps - sigma, vgl. #1639_61.xls
data = sort(data,1);                     % ACHTUNG: Art&Weise der Sortierung !

sig_mess = data(:,2);
lambda = data(:,1) + ones(length(sig_mess),1);

for i=1:length(lambda)
  sig_mess_CAUCHY(i,1) = sig_mess(i) * lambda(i);
end %i

% minimization
optset = optimset('MaxFunEvals',1.0e6,'TolX',1.0e-8,'Display','iter');
param = fminsearch(@(param) minimiz(param,lambda,sig_mess_CAUCHY),param,optset);
                         
param

sig_yeoh = yeoh(param,lambda);

% Grafics
hold on
plot(lambda,sig_mess_CAUCHY,'.')
plot(lambda,sig_yeoh,'LineWidth',2)
xlabel('\lambda','FontSize',16)
ylabel('\sigma / MPa','FontSize',16)

% *** END ***